import arrayPush from "./_arrayPush.mjs";
import isArray from "./isArray.mjs";
function baseGetAllKeys(object, keysFunc, symbolsFunc) {
  var result = keysFunc(object);
  return isArray(object) ? result : arrayPush(result, symbolsFunc(object));
}
export {
  baseGetAllKeys as default
};
